# Copyright (c) 2017, 2019 The Linux Foundation. All rights reserved.

# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#     * Neither the name of The Linux Foundation nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.

# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# icm configuration file

#number of devices
num_devices=1

# Number of Radios
num_radios=1

# Communication interface with driver
# options: ioctl OR cfg
walflag=cfg

# enable daemon
# 0 - disable
# 1 - enable
daemon=0

# enable server_mode
# 0 - disable
# 1 - enable
server_mode=0

# debug level
# 1 - minor
# 2 - default
# 3 - major
# 4 - critical
debug_level=2

# debug mask
# 0x01 - ICM main module
# 0x02 - ICM SCAN module
# 0x04 - ICM_SELELCTOR module
# 0x08 - ICM_UTIL module
# 0x10 - ICM Test module
# 0xFF - Default
debug_module_bitmap=255

# socket interface type
# 0 - TCP socket
# 1 - UDP socket
sock_type=1

#### Below this, configuration are per interface starting with id_*  ####

# radio interface name
id_0_radio_ifname=phy0
#id_1_radio_ifname=phy1
#id_2_radio_ifname=wifi2

# device interface name
id_0_dev_ifname=softap0
#id_1_dev_ifname=p2p0
#id_2_dev_ifname=ath2

# operating band
# 0 - 2.4 GHz band
# 1 - 5 GHz band
id_0_band=0
id_1_band=1
#id_2_band=1

# PHY specification
# 0 - 11A
# 1 - 11B
# 2 - 11G
# 3 - FH
# 4 - TURBO_A
# 5 - TURBO_G
# 6 - 11NA
# 7 - 11NG
# 8 - 11AC
id_0_phy_spec=7
id_1_phy_spec=6
#id_2_physpec=8

# channel width
# 0 - HT20
# 1 - HT40MINUS
# 2 - HT40PLUS
# 3 - HT40
id_0_channel_width=0
id_1_channel_width=2
#id_2_channel_width=0

# channel
id_0_channel=6
id_1_channel=44
#id_2_channel=36
